---
title: "/todos/{todoId}"
url: "https://developers.rest.rodeo/apis/todos/versions/7d1617fd-92fe-4136-8be7-b2acec2c30db/operations/deleteTodo"
---

> Full API specification: https://developers.rest.rodeo/apis/todos/versions/7d1617fd-92fe-4136-8be7-b2acec2c30db.md

# /todos/{todoId}

`DELETE` `/todos/{todoId}`

Operation ID: `deleteTodo`

Deletes the todo. Deleting a todo is not billable and does not remove previously recorded usage.

## Path parameters

- `todoId` (string, uuid, required) - The todo id.

## Responses

- `204` - The todo was deleted
- `401` - Missing or invalid bearer token
- `404` - No todo with this id
- `405` - Method not allowed

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Todos API
  version: 1.0.0
servers:
  - url: https://api.rest.rodeo/todos/api/v1
    description: Production
paths:
  /todos/{todoId}:
    delete:
      operationId: deleteTodo
      summary: /todos/{todoId}
      description: Deletes the todo. Deleting a todo is not billable and does not
        remove previously recorded usage.
      parameters:
        - $ref: "#/components/parameters/TodoId"
      responses:
        "204":
          description: The todo was deleted
        "401":
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: No todo with this id
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "405":
          description: Method not allowed
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - bearerAuth: []
components:
  parameters:
    TodoId:
      name: todoId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The todo id.
  schemas:
    Error:
      type: object
      required:
        - error
      additionalProperties: false
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
```
